Package org.apache.commons.jxpath.ri.compiler

# Class Operation

java.lang.Object
org.apache.commons.jxpath.ri.compiler.Expression
org.apache.commons.jxpath.ri.compiler.Operation

Direct Known Subclasses:
  `CoreFunction`, `CoreOperation`, `ExtensionFunction`

public abstract class Operation extends Expression
Abstract operation expressions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `Expression.PointerIterator, Expression.ValueIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Expression[]`
  `args`
  Expression[] of arguments

  ### Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `NOT_A_NUMBER, ONE, ZERO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Operation(Expression[] args)`
  Constructs a new Operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `computeContextDependent()`
  Implemented by subclasses and result is cached by isContextDependent()
  `Expression[]`
  `getArguments()`
  Gets the arguments.

  ### Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression

  `compute, computeValue, isContextDependent, iterate, iteratePointers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### args

    protected Expression[] args
    Expression[] of arguments

- ## Constructor Details

  - ### Operation

    public Operation(Expression[] args)
    Constructs a new Operation.
    Parameters:
      `args` - Expression[]

- ## Method Details

  - ### computeContextDependent

    public boolean computeContextDependent()
    Description copied from class: `Expression`
    Implemented by subclasses and result is cached by isContextDependent()
    Specified by:
      `computeContextDependent` in class `Expression`
    Returns:
      calculated context-dependentness as boolean

  - ### getArguments

    public Expression[] getArguments()
    Gets the arguments.
    Returns:
      Expression[]